﻿:root {
	--rz-primary: var(--sds-color-primary);
	--rz-on-primary: var(--sds-on-primary);
	--rz-secondary: var(--sds-color-secondary);
	--rz-on-secondary: var(--sds-on-secondary);
	--rz-input-hover-border: 1px solid var(--sds-color-primary-hover);
	--rz-tooltip-background-color: var(--sds-color-secondary);
	--rz-tooltip-color: var(--sds-on-secondary);
	--rz-menu-top-item-background-color: var(--sds-color-surface);
	--rz-menu-top-item-selected-color: var(--sds-on-surface-hover);
	--rz-menu-top-item-color: var(--sds-on-surface);
	--rz-menu-top-item-hover-color: var(--sds-on-surface-hover);
	--rz-menu-top-item-padding-block: 0.7rem;
	--rz-dropdown-item-selected-background-color: var(--sds-color-primary);
	--rz-dropdown-item-selected-color: var(--sds-on-primary);
	--rz-dropdown-item-selected-hover-background-color: var(--sds-color-primary-hover);
	--rz-dropdown-item-selected-hover-color: var(--sds-on-primary);
	--rz-datepicker-calendar-selected-hover-background-color: var(--sds-color-secondary-hover);
}

.rz-dropdown,
.rz-inputtext,
.rz-button {
	border-radius: 0.75rem !important;
}

.rz-navigation-item-link.active {
	color: var(--sds-on-surface) !important;
	font-weight: bold;
	border-bottom: 3px solid var(--sds-color-secondary);
}

.rz-navigation-item-link.active .rz-navigation-item-text {
	margin-bottom: -3px;
}

.rz-navigation-item-text {
	text-transform: capitalize !important;
}

.rz-button-text-only.rz-state-active {
	background: var(--sds-color-secondary) !important;
	color: var(--sds-on-secondary) !important;
}

.rz-button-text-only:hover {
	background: var(--sds-color-secondary-hover) !important;
	color: var(--sds-on-secondary) !important;
}

.rz-button-text-only {
	border: 1px solid var(--sds-color-neutral) !important;
	color: var(--sds-on-background) !important;
}

i.rzi {
	vertical-align: text-bottom !important;
	font-weight: normal !important;
}

i.rzi:hover {
	cursor: pointer !important;
}

@media (max-width: 1300px) {
	.rz-menu:not(.rz-profile-menu) .rz-menu-toggle-item {
		display: flex;
	}

	.rz-menu:not(.rz-profile-menu).rz-menu-closed .rz-navigation-item {
		display: none;
	}

	.rz-menu:not(.rz-profile-menu).rz-menu-open {
		display: block;
	}
}